<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="robots" content="NOINDEX,NOFOLLOW">
<title>Mercury Mailserver Admin</title>
<meta name="description" content="Mercury Mail Server Administration Interface">
<link rel="shortcut icon" href="favicon.ico">
<link rel="stylesheet" href="/styles/main.css" type="text/css">
<style type="text/css">
.topnav .smtp {
	background-color: #005ce6;
	color: white;
  	font-weight: bold;
} 
.nav .smtpctrl {
	background-color: #005ce6;
	color: white;
  	font-weight: bold;
} 
</style>
</head>
<body>
<?php include 'header-main.html';?>
<?php include 'smtpheader.html';?>
<?php include 'config.php';?>
&nbsp;
<p><b>Mercury Mail SMTP Server Administration</b></p>
<div id="container">
<p><b>Setup a new Connection Control Restriction.</b></p>
<p><i><b>For the settings to take effect, the server will restart automatically!</b></i></p>
<p>To create a <i><u>Refuse Connection Control Entry</u></i> <a href="/create-smtp-ref-con-ctrl.php">use this page</a>.</p>
<p>To create an <i>Allow Connection Control Entry</i> fill the form fields as needed.</p>
<form class="userform" method="post">
	<input type="text" name="ip-from" required placeholder="IP range from"><br>
	To create an entry for a single address fill the form field below with the same single address.<br>
	<input type="text" name="ip-to" required placeholder="IP range to"><br>
	Tip: List the attributes here to recognize them in the number value of the <a href="/smtp-con-ctrl.php">file display</a>.<br> 
	<input type="text" name="comment" placeholder="Comment"><br>
	<input type="hidden" name="allow" value="0">
	
	<p>Attributes for this entry.....</p>
	<p><input type="radio" name="relay" value="2"> &nbsp;Connection from this address range may relay mail through this server.<br>
	<input type="radio" name="filter" value="4"> &nbsp;Connection from this address range are exempt from transaction filtering.<br>
	<input type="radio" name="session" value="8"> &nbsp;Auto-enable session logging for connections from this address range.<br>
	<input type="radio" name="white" value="16"> &nbsp;Whitelist (exempt this address range from short-term blacklisting actions).<br>
	<input type="radio" name="size" value="32"> &nbsp;Connection from this address range are exempt from message size restrictions.<br>
	<input type="radio" name="tls-yes" value="64"> &nbsp;Enable SSL/TLS services for connection from this address range.<br>
	<input type="radio" name="tls-no" value="16"> &nbsp;Disable SSL/TLS services for connection from this address range.<br>
	<br>
	<input type="submit" name="submit" class="button" value="Create Entry">
</form>
<?php
if(isset($_POST['submit'])){
$num1 = $_POST['ip-from'];
$num2 = $_POST['ip-to'];
// ?? null is added to remove the php warning (since php8.0)about an empty array key if the attribute is left empty (not applied).
$allow = $_POST['allow'];
$relay = $_POST['relay']?? null;
$filter = $_POST['filter']?? null;
$session = $_POST['session']?? null;
$white = $_POST['white']?? null;
$size = $_POST['size']?? null;
$tlsyes = $_POST['tls-yes']?? null;
$tlsno = $_POST['tls-no']?? null;
$Sum = $allow+$relay+$filter+$session+$white+$size+$tlsyes+$tlsno;
$Comment = "; ".$_POST['comment']."
";
// need to check for directory,(fopen can only write to same directory) as we write to a file outside of the web directory
$filename = $directory2."\MERCURYS.ACL";
$dirname = dirname($filename);
if (!is_dir($dirname)) {
mkdir($dirname, 0777, true);
}
$file=fopen($filename, "a"); //set to write "w" creates a new file every time, "a" would append or add
// to write multiple variables place them between "". To avoid an empty space, place them next to each other
fwrite($file, "$Sum $num1 $num2$Comment");
fclose($file);
header ('Location: restart-service.shtml');
}
?>

</div>
<?php include 'footer.html';?>
</body>
</html>